{
  config,
  pkgs,
  inputs,
  system,
  ...
}: let
  chromium_teams = pkgs.writeShellScriptBin "chromium_teams" ''
    ${pkgs.chromium}/bin/chromium --socket=wayland org.chromium.Chromium --app=https://teams.microsoft.com/
  '';
  chromium_discord = pkgs.writeShellScriptBin "chromium_discord" ''
    ${pkgs.chromium}/bin/chromium --socket=wayland org.chromium.Chromium --app=https://discordapp.com/channels/@me
  '';
in {
  home.packages = with pkgs;
    [
      appimage-run
      arp-scan
      birdtray
      blackmagic
      blender
      btop
      cached-nix-shell
      caddy
      cargo
      chromium
      chromium_discord
      chromium_teams
      cmake
      compsize
      cura
      deluge
      discord
      dmenu-wayland
      ffmpeg-full
      firefox
      freecad
      gcc
      gdb
      ghostscript
      glab
      glaxnimate
      gnumake
      go
      grim
      hyperfine
      imagemagick
      imv
      inkscape
      jellyfin-media-player
      kdenlive
      kicad
      kodi-wayland
      krita
      libnotify
      libreoffice
      libva-utils
      mediainfo
      ncdu
      neovide
      ngspice
      nix-init
      nixpkgs-fmt
      nix-prefetch-git
      nodePackages.peerflix
      openocd
      openscad
      pandoc
      pass-wayland
      patchelf
      pavucontrol
      pirate-get
      poppler_utils
      powertop
      pulsemixer
      python3
      python3Packages.west
      remmina
      river
      rtorrent
      screen
      seer
      sioyek
      skypeforlinux
      slurp
      stm32cubemx
      tea
      teams-for-linux
      texlive.combined.scheme-full
      thunderbird
      upx
      waybar
      wdisplays
      whatsapp-for-linux
      wine
      wireshark
      wl-clipboard
      wlr-randr
      wofi
      x2goclient
      yewtube
      yt-dlp
      zathura
      zeal-qt6
      zig
    ]
    ++ [
      inputs.swaysw.packages.${system}.swaysw
      (pkgs.callPackage ../packages/zapzap/default.nix {})
      (pkgs.callPackage ../packages/viber/default.nix {})
      (pkgs.callPackage ../packages/bubblewrap/default.nix {})
    ];
}
